net.minecraftforge.client

## Class ClientCommandHandler

- java.lang.Object
- - net.minecraft.command.CommandHandler
  - - net.minecraftforge.client.ClientCommandHandler

- All Implemented Interfaces:
    ICommandManager

      public class ClientCommandHandler
      extends CommandHandler

  The class that handles client-side chat commands. You should register any commands that you want handled on the client with this command handler. If there is a command with the same name registered both on the server and client, the client takes precedence!

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ClientCommandHandler` | `instance`
    `String[]` | `latestAutoComplete`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientCommandHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `autoComplete(String leftOfCursor, String full)`
    `int` | `executeCommand(ICommandSender sender, String message)`

    - ### Methods inherited from class net.minecraft.command.CommandHandler

      `getCommands, getPossibleCommands, getPossibleCommands, registerCommand`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final ClientCommandHandler instance

    - #### latestAutoComplete

          public String[] latestAutoComplete

  - ### Constructor Detail

    - #### ClientCommandHandler

          public ClientCommandHandler()

  - ### Method Detail

    - #### executeCommand

          public int executeCommand(ICommandSender sender,
                           String message)

      Specified by:
        `executeCommand` in interface `ICommandManager`
      Overrides:
        `executeCommand` in class `CommandHandler`
      Returns:
        1 if successfully executed, 0 if wrong usage, it doesn't exist or it was canceled.

    - #### autoComplete

          public void autoComplete(String leftOfCursor,
                          String full)